html, body {
	height: 100%;
}

body {
	font-family: Arial, sans-serif;
	font-size: 14px;
	color: #555555;
}

body.body-loading {
	cursor: wait !important;
}

/* Header */

header.header {
	font-size: 16px;
	padding: 20px 10px;
	border-bottom: 1px solid #cccccc;
}

header.header a.nav-link {
	padding: 12px 24px;
	font-weight: 700;
	text-decoration: none;
}

header.header a.logout-link {
	text-decoration: underline;
}

header.header a {
	color: #555555;
	transition: all 0.3s linear 0s;
}

header.header a:hover {
	color: #bb0a7e;
	transition: all 0.3s linear 0s;
}

header.header a .caret {
	margin-left: 0;
	border-width: 6px;
}

/* Column */

.col-centered {
	float: none;
	margin: auto;
}

/* Button */

.btn-koke {
	color: #bb0a7e;
	border: 1px solid #bb0a7e;
	background-color: #ffffff;
	transition: all 0.3s linear 0s;
}

.btn-koke:hover {
	color: #ffffff;
	border: 1px solid #bb0a7e;
	background-color: #bb0a7e;
	transition: all 0.3s linear 0s;
}

/* List */

.application-list {
	list-style: none;
	padding: 0;
}

.application-list li {
	display: inline-block;
}

.application-list li input[type="checkbox"],
.application-list li label {
	cursor: pointer;
}

/* Checkbox */

.custom-checkbox {
	display: block;
	cursor: pointer;
}

.custom-checkbox .custom-checkbox-inner {
	position: relative;
	display: block;
	float: left;
	border: 1px solid #cccccc; 
	width: 24px;
	height: 24px;
}

.custom-checkbox .custom-checkbox-label {
	display: block;
	float: left;
	padding-top: 2px;
	padding-left: 8px;
}

.custom-checkbox[data-checked="true"] .custom-checkbox-inner span.bar {
	position: absolute;
	display: block;
	top: 0;
	left: 10px;
	width: 2px;
	height: 22px;
	background-color: #555555;
}

.custom-checkbox[data-checked="true"] .custom-checkbox-inner span.bar:first-child {
	transform: rotate( 45deg );
}

.custom-checkbox[data-checked="true"] .custom-checkbox-inner span.bar:last-child {
	transform: rotate( -45deg );
}

/* Form */

.form-control:focus {
	outline: 0;
	border-color: rgba( 187, 10, 126, .5 );
	-webkit-box-shadow: inset 0 1px 1px rgba( 0, 0, 0, .075 ), 0 0 8px rgba( 187, 10, 126, .6 );
	box-shadow: inset 0 1px 1px rgba( 0, 0, 0, .075 ), 0 0 8px rgba( 187, 10, 126, .6 );
}

/* Misc */

.clearer {
	clear: both;
}

.spacer10 {
    height: 10px;
    width: 100%;
}

.spacer30 {
    height: 30px;
    width: 100%;
}

.anwendung-container {
    background-color: #ffffff;
    border: 2px solid #d3d3d3;
    height: 250px;
    width: 300px;
    position: relative;
    border-radius: 20px;
    margin: 0;
    cursor: pointer;
}

.anwendung-img {
    width: 250px;
    height: 150px;
}

#newsfeed-error,
#newsfeed-success {
    display: none;
}

#thumbnail-success,
#thumbnail-error {
    display: none;
}

.newsfeed-panel {
    border: 1px solid black;
    border-radius: 5px;
    margin-top: 5px;
    padding: 5px 5px 5px 5px;
}

.newsfeed-panel:first-child {
    margin-top: 0px;
}

.anwendung-container:hover .anwendung-controls {
    display: block;
    transition: opacity 0.3s linear 0s;
    opacity: 1;
}

.anwendung-container:hover .anwendung-title {
    display: block;
    border-color: #555555;
    transition: border-color 0.3s linear 0s;
}

.anwendung-icon {
    height: 15px;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    top: 5px;
    width: 15px;
}

.anwendung-controls {
    z-index: 10;
    position: absolute;
    bottom: 0;
    background-color: white;
    padding: 10px 15px 10px 15px;
    border-top: 3px solid #555555;
    opacity: 0;
    transition: opacity 0.3s linear 0s;
}

.selected-container {
    border: 2px solid #bb0a7e;
    transition: all 0.3s linear 0s;
}

.anwendung-container.selected-container .anwendung-controls {
    opacity: 1;
}

.anwendung-container.selected-container .anwendung-title {
    border-top: 3px solid #555555 !important;
}

.anwendung-cog {
    left: 0;
    border-right: 3px solid #555555;
    border-bottom-left-radius: 20px;
    width: 57px;
    height: 52px;
}

.anwendung-link {
    right: 0;
    border-left: 3px solid #555555;
    border-bottom-right-radius: 20px;
    width: 61px;
    height: 52px;
}

.anwendung-title {
    z-index: 11;
    height: 52px;
    left: 50%;
    transform: translateX(-50%);
    line-height: 14px;
    overflow: hidden;
    position: absolute;
    bottom: 0;
    width: 183px;
    font-size: 16px;
    padding-top: 18px;
    border-top: 3px solid transparent;
    text-align: center;
    transition: border-color 0.3s linear 0s;
}

.anwendung-thumb {
    cursor: pointer;
    height: 150px;
    left: 20px;
    overflow: hidden;
    position: absolute;
    top: 15px;
    width: 250px;
}

.spacer25 {
	height: 25px;
	width: 100%;
}

.text-koke {
    color: #bb0a7e;
}

/* Overwrites */

strong.dropdown-toggle {
	cursor: pointer;
	transition: all 0.3s linear 0s;
}

strong.dropdown-toggle:hover {
	color: #bb0a7e;
	transition: all 0.3s linear 0s;
}

strong.dropdown-toggle .caret {
	margin-left: 0;
	border-width: 6px;
}

.nav-pills > li.active > a, .nav-pills > li.active > a:focus, .nav-pills > li.active > a:hover {
	color: #ffffff;
	background-color: #bb0a7e;
}

.nav-pills > li > a {
	border-radius: 0;
}

.table tbody tr td {
	padding-top: 14px;
}

.table tbody tr td:last-child {
	padding-top: 8px;
}

.application-roles-list {
    list-style: none;
    padding-left: 0;
}

.application-roles-list li input[type="checkbox"], .application-roles-list li label {
    cursor: pointer;
}

.list-group a {
    border-radius: 0 !important;
}

.col-centered {
    float: none;
    margin: auto;
}

.application-container-mobile,
.user-container-mobile {
    background-color: #f8f8f8;
    border: 1px solid #cccccc;
    padding: 4px;
}

/* Extra small devices (portrait phones, less than 576px) "XXS" */
@media (max-width: 575px) {
    .call-save-abo {
        display: block;
        width: 100%;
    }

    #main-error {
        margin-top: 0;
    }

    .anwendung-container {
        margin: auto;
    }

    .anwendung-title {
        padding-top: 0;
        height: 70px;
    }

    .anwendung-container .anwendung-title,
    .anwendung-container.selected-container .anwendung-title {
        border-top: 0 !important;
    }

    .anwendung-container .anwendung-controls {
        opacity: 1 !important;
    }

    textarea[name="text"] {
        max-height: 200px !important;
        height: 200px !important;
        resize: none !important;
    }
}

/* Small devices (landscape phones, 576px and up) "XS" */
@media (min-width: 576px) and (max-width: 767px) {
    .call-save-abo {
        display: block;
        width: 100%;
    }

    #main-error {
        margin-top: 0;
    }

    .anwendung-container {
        margin: auto;
    }

    .anwendung-title {
        padding-top: 0;
        height: 70px;
    }

    .anwendung-container .anwendung-title,
    .anwendung-container.selected-container .anwendung-title {
        border-top: 0 !important;
    }

    .anwendung-container .anwendung-controls {
        opacity: 1 !important;
    }

    textarea[name="text"] {
        max-height: 200px !important;
        height: 200px !important;
        resize: none !important;
    }
}

/* Medium devices (tablets, 768px and up) "SM" */
@media (min-width: 768px) and (max-width: 991px) {
    .anwendung-container {
        margin: auto;
    }

    #main-error {
        margin-top: 8px;
    }

    .anwendung-container .anwendung-controls {
        opacity: 1 !important;
    }

    .anwendung-container .anwendung-title,
    .anwendung-container.selected-container .anwendung-title {
        border-top: 3px solid #555555 !important;
    }
}

/* Large devices (desktops, 992px and up) "MD" */
@media (min-width: 992px) and (max-width: 1199px) {
    #main-error {
        margin-top: 8px;
    }

    .anwendung-container {
        margin: auto;
    }
}

/* Extra large devices (large desktops, 1200px and up) "LG" */
@media (min-width: 1200px) {
    #main-error {
        margin-top: 8px;
    }
}

.footer{
    font-size:10;
    color:#aaa;
    text-align: center;
}